com.sun.grid.jgdi.configuration

## Interface QueueInstanceMessage

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    QueueInstanceMessageImpl

      public interface QueueInstanceMessage
      extends GEObject

  Java representation of the cull object QIM_Type defined in sge_all_listsL.template

  Warning: The QueueInstanceMessage class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getMessage()` Get the value of the message attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetMessage()` Determine if any message attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `void` | `setMessage(java.lang.String aMessage)` Set the message attribute.
    `void` | `setType(int aType)` Set the type attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setType

          void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### setMessage

          void setMessage(java.lang.String aMessage)

      Set the message attribute.
      Parameters:
        `aMessage` - the new value for the message attribute

    - #### getMessage

          java.lang.String getMessage()

      Get the value of the message attribute.
      Returns:
        the value of the message attribute

    - #### isSetMessage

          boolean isSetMessage()

      Determine if any message attribute is set
      Returns:
        `true` if the message attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.